<template>
  <div id="app" @click="setFocus">
    <Terminal ref="terminal" />
  </div>
</template>

<script lang="ts">
import { Component, Vue } from "vue-property-decorator";
import Terminal from "./components/Terminal.vue";

@Component({
  components: {
    Terminal,
  },
})
export default class App extends Vue {
  $refs!: {
    terminal: Terminal;
  };
  setFocus() {
    this.$refs.terminal.setFocus();
  }
}
</script>

<style lang="scss">
@import url("https://fonts.googleapis.com/css?family=Courier+Prime&display=swap");
body,
html {
  margin: 0;
  padding: 0;
  background-color: #343134;
  // background-color: #131628;
  height: 100%;
  width: 100%;
}
html {
  height: 97%;
  width: 100%;
}
/* width */
::-webkit-scrollbar {
  width: 10px;
}

/* Track */
::-webkit-scrollbar-track {
  background: #888;
}

/* Handle */
::-webkit-scrollbar-thumb {
  background: #c1c1c1;
}

/* Handle on hover */
::-webkit-scrollbar-thumb:hover {
  background: #d1d1d1;
}
#app {
  font-family: "Courier Prime", monospace;
  color: #e1e1e1;
  font-size: 16px;
  // font-weight: bold;
  -webkit-font-smoothing: antialiased;
  -moz-osx-font-smoothing: grayscale;
  text-align: left;
  // margin: 10px;
  width: 100%;
  height: 100%;

  * {
    font-family: "Courier Prime", monospace;
    color: #4da361;
    font-size: 16px;
  }
}
</style>
